package com.zhgd.xmgl.util;

import java.io.UnsupportedEncodingException;

/**
 * @program: hkdev
 * @description: dll文件路径
 * @author: Mr.Peng
 * @create: 2019-08-30 14:04
 **/

public class HCNetSDKPath {
    public static String DLL_PATH;
    static {
        String path = (HCNetSDKPath.class.getResource("/").getPath()).replaceAll("%20", " ").substring(1).replace("/",
                "\\");
        try {
            DLL_PATH = java.net.URLDecoder.decode(path, "utf-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
    }

    public static void main(String[] args) {
        System.out.println(DLL_PATH);
    }
}
